@tailwind base;
@tailwind components;
@tailwind utilities;
@tailwind variants;


@import '@fontsource/noto-sans/latin.css';
@import '@fontsource/noto-sans/latin-italic.css';


@mixin light {
  background-color: #fff;
  color:rgba(0, 0, 0, 0.87);
}

@mixin dark {
  background-color: #121212;
  color: #fff;
}

.light{
  @include light;
}

.dark{
  @include dark;
}


html, body {
  overflow-x: hidden !important;
  height: 100%;
  margin: 0;
  @include light;
}

@media (prefers-color-scheme: dark) {
  html, body {
    @include dark;
  }

}

#app-wrappers{
  height: 100%;
  display: flex;
  flex-direction: column;
}

.MuiLinearProgress-bar {
  transition: none;
}